Bug 244858 - [exp-run] pkg 1.14
Summary: [exp-run] pkg 1.14
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Baptiste Daroussin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-17 09:50 UTC by Baptiste Daroussin
Modified: 2020-04-02 13:00 UTC (History)
2 users (show)

See Also:
antoine: exp-run+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Baptiste Daroussin freebsd_committer 2020-03-17 09:50:46 UTC
please exp-run with: WITH_PKG=devel

I would like this version to hit the tree before 2020Q2 if possible to be able to turn reproducible build on in the ports tree in head for 2020Q2.
Comment 1 Antoine Brodin freebsd_committer 2020-03-17 13:12:49 UTC
This breaks at least all ports using python 2.7  (the .pyc/.pyo files embed a timestamp)
Comment 2 Antoine Brodin freebsd_committer 2020-03-21 10:59:11 UTC
It seems that @rmtry no longer works

For instance,  when uninstalling sysutils/policykit,  /var/lib/misc/PolicyKit.reload  is left over
Comment 3 Baptiste Daroussin freebsd_committer 2020-03-23 09:55:37 UTC
fixed in 1.13.99.7
Comment 4 Antoine Brodin freebsd_committer 2020-04-01 21:03:57 UTC
Exp-run looks fine